Download it now!
Bug 112993 - RTL: Violet color missing from color palette
Summary: RTL: Violet color missing from color palette
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Color-Palettes RTL-UI
  Show dependency treegraph
 
Reported: 2017-10-08 10:40 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-28 02:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
english and arabic palettes (30.71 KB, image/png)
2017-10-08 10:40 UTC, Yousuf Philips (jay) (retired)
Details
Changing translation of Violet fixed the problem (298.61 KB, image/png)
2017-10-17 21:45 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-08 10:40:47 UTC
Created attachment 136845 [details]
english and arabic palettes

steps:
1. open writer in arabic UI
2. open font color widget to show palette
3. notice that there is a blank space at the end of the palette

Version: 6.0.0.0.alpha0+
Build ID: c5a93cad149618bbd43632f1660a558c34bdbf7e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-10-07_01:12:25
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Lior Kaplan 2017-10-08 13:24:01 UTC
Happens with Hebrew interface on version 5.4.1 as well.
Comment 2 Lior Kaplan 2017-10-08 13:31:51 UTC
I tried to find something related in the code to RID_SVXSTR_COLOR_VIOLET but didn't see anything for RTL interfaces.
Comment 3 Yousuf Philips (jay) (retired) 2017-10-13 01:12:48 UTC
Maxim, Gabor: Any thoughts on why this is happening?
Comment 4 Gabor Kelemen 2017-10-13 05:47:58 UTC
I'll look into this once home from the conference.

I have seen such when I accidentally made some holes on the translation handling code and it was unable to match a color name with a translation in method SvxUnoConvertResourceStringBuiltIn :
https://opengrok.libreoffice.org/s?refs=SvxUnoConvertResourceStringBuiltIn&project=core

But no idea why does it happen only for some languages and not others.
Comment 6 Gabor Kelemen 2017-10-17 21:45:47 UTC
Created attachment 137063 [details]
Changing translation of Violet fixed the problem
Comment 7 Omer Zak 2017-11-15 06:05:40 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 8 Julien Nabet 2018-08-02 21:11:29 UTC
On pc Debian x86-64 with master sources updated some days ago, I don't reproduce this.
Noticing tdf#117969 and its fix, do you reproduce this with LO version >= 6.1.0.1?
Comment 9 Eyal Rozenberg 2018-09-30 18:07:52 UTC
Yousuf: Ping?
Comment 10 QA Administrators 2019-10-01 03:01:31 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug